package trask.app.life;

import java.awt.*;
import java.awt.event.*;
import java.net.*;

public class URLDialog extends Dialog
{
  TextField urlTF;
  Button okButton;
  Button cancelButton;

  URL url;

  public URLDialog(Frame parent, String title)
  {
    super(parent, title, true);

    // instantiate components

    urlTF = new TextField(40);
    okButton = new Button("OK");
    cancelButton = new Button("Cancel");

    // wire components

    okButton.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent event) {
        try {
          url = new URL(urlTF.getText());
          setVisible(false);
        }
        catch (MalformedURLException exc) {
          urlTF.requestFocus();
          urlTF.selectAll();
        }
      }});

    cancelButton.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent event) {
        url = null;
        setVisible(false);
      }});

    // layout components

    setLayout(new GridBagLayout());
    GridBagConstraints constraints = new GridBagConstraints();

    constraints.gridx = 0;
    constraints.gridy = 0;
    add(new Label("URL:"));

    constraints.gridx = 1;
    constraints.gridy = 0;
    add(urlTF);

    constraints.gridx = 0;
    constraints.gridy = 1;
    add(okButton);

    constraints.gridx = 1;
    constraints.gridy = 1;
    add(cancelButton);

    pack();
  }

  public URL getURL()
  {
    return url;
  }

}
